Package com.enonic.xp.portal

## Class PortalRequest

- java.lang.Object
- - com.enonic.xp.web.WebRequest
  - - com.enonic.xp.portal.PortalRequest

-     @PublicApi
      public final class PortalRequest
      extends WebRequest

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PortalRequest()` |
    `PortalRequest​(WebRequest webRequest)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ApplicationKey` | `getApplicationKey()` |
    `String` | `getBaseUri()` |
    `Branch` | `getBranch()` |
    `Component` | `getComponent()` |
    `Content` | `getContent()` |
    `ContentPath` | `getContentPath()` |
    `String` | `getContextPath()` |
    `ControllerScript` | `getControllerScript()` |
    `RenderMode` | `getMode()` |
    `PageDescriptor` | `getPageDescriptor()` |
    `PageTemplate` | `getPageTemplate()` | Deprecated.
    `RepositoryId` | `getRepositoryId()` |
    `Site` | `getSite()` |
    `boolean` | `isSiteBase()` |
    `Boolean` | `isValidTicket()` |
    `String` | `rewriteUri​(String uri)` |
    `void` | `setApplicationKey​(ApplicationKey applicationKey)` |
    `void` | `setBaseUri​(String baseUri)` |
    `void` | `setBranch​(Branch branch)` |
    `void` | `setComponent​(Component component)` |
    `void` | `setContent​(Content content)` |
    `void` | `setContentPath​(ContentPath contentPath)` |
    `void` | `setContextPath​(String contextPath)` |
    `void` | `setControllerScript​(ControllerScript controllerScript)` |
    `void` | `setMode​(RenderMode mode)` |
    `void` | `setPageDescriptor​(PageDescriptor pageDescriptor)` |
    `void` | `setPageTemplate​(PageTemplate pageTemplate)` | Deprecated.
    `void` | `setRepositoryId​(RepositoryId repositoryId)` |
    `void` | `setSite​(Site site)` |
    `void` | `setValidTicket​(Boolean validTicket)` |

    - ### Methods inherited from class com.enonic.xp.web.WebRequest

      `getBody, getBodyAsString, getContentType, getCookies, getEndpointPath, getHeaders, getHost, getIdProvider, getMethod, getParams, getPath, getPort, getRawPath, getRawRequest, getRemoteAddress, getScheme, getUrl, getWebSocketContext, isWebSocket, setBody, setContentType, setEndpointPath, setHost, setIdProvider, setMethod, setPath, setPort, setRawPath, setRawRequest, setRemoteAddress, setScheme, setUrl, setWebSocketContext`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PortalRequest

          public PortalRequest()

    - #### PortalRequest

          public PortalRequest​(WebRequest webRequest)

  - ### Method Detail

    - #### getBranch

          public Branch getBranch()

    - #### getMode

          public RenderMode getMode()

    - #### setMode

          public void setMode​(RenderMode mode)

    - #### setBranch

          public void setBranch​(Branch branch)

    - #### getRepositoryId

          public RepositoryId getRepositoryId()

    - #### setRepositoryId

          public void setRepositoryId​(RepositoryId repositoryId)

    - #### rewriteUri

          public String rewriteUri​(String uri)

    - #### getSite

          public Site getSite()

    - #### setSite

          public void setSite​(Site site)

    - #### getContent

          public Content getContent()

    - #### setContent

          public void setContent​(Content content)

    - #### getPageTemplate

          @Deprecated
          public PageTemplate getPageTemplate()

      Deprecated.

    - #### setPageTemplate

          @Deprecated
          public void setPageTemplate​(PageTemplate pageTemplate)

      Deprecated.

    - #### getComponent

          public Component getComponent()

    - #### setComponent

          public void setComponent​(Component component)

    - #### getApplicationKey

          public ApplicationKey getApplicationKey()

    - #### setApplicationKey

          public void setApplicationKey​(ApplicationKey applicationKey)

    - #### getPageDescriptor

          public PageDescriptor getPageDescriptor()

    - #### setPageDescriptor

          public void setPageDescriptor​(PageDescriptor pageDescriptor)

    - #### getContentPath

          public ContentPath getContentPath()

    - #### getBaseUri

          public String getBaseUri()

    - #### setContentPath

          public void setContentPath​(ContentPath contentPath)

    - #### setBaseUri

          public void setBaseUri​(String baseUri)

    - #### getContextPath

          public String getContextPath()

    - #### setContextPath

          public void setContextPath​(String contextPath)

    - #### getControllerScript

          public ControllerScript getControllerScript()

    - #### setControllerScript

          public void setControllerScript​(ControllerScript controllerScript)

    - #### isValidTicket

          public Boolean isValidTicket()

    - #### setValidTicket

          public void setValidTicket​(Boolean validTicket)

    - #### isSiteBase

          public boolean isSiteBase()